Package org.kapott.hbci.manager

## Enum HHDVersion.Type

- java.lang.Object
- - java.lang.Enum<HHDVersion.Type>
  - - org.kapott.hbci.manager.HHDVersion.Type

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<HHDVersion.Type>`

Enclosing class:
  HHDVersion

    public static enum HHDVersion.Type
    extends java.lang.Enum<HHDVersion.Type>

Definiert die Art des TAN-Verfahrens.

### Enum Constant Summary

Enum Constants
`CHIPTAN` chipTAN oder smsTAN.
`PHOTOTAN` photoTAN.
`QRCODE` QR-Code.

### Method Summary

All Methods Static Methods Concrete Methods
`static HHDVersion.Type` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HHDVersion.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CHIPTAN

    public static final HHDVersion.Type CHIPTAN

chipTAN oder smsTAN.

#### PHOTOTAN

    public static final HHDVersion.Type PHOTOTAN

photoTAN.

#### QRCODE

    public static final HHDVersion.Type QRCODE

QR-Code.

### Method Detail

#### values

    public static HHDVersion.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HHDVersion.Type c : HHDVersion.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HHDVersion.Type valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null